/**
 * Go through our messages and tag a frame id for messages without one.
 * @note: May need to run jsexec with -m 32MB to overcome memory issues
 */

load('load/string.js');
load('ansitex/load/msgbases.js');

const ma = new MsgAreas()
for (var i=0;i<ma.areas.length;i++) {
	if (argv[0] && (argv[0] !== ma.areas[i].msgbase.cfg.code))
		continue;

	writeln('Area               : '+ma.areas[i].full_name);
	writeln('Total Messages     : '+ma.areas[i].headers.length);
	writeln('- Tagged Messages  : '+ma.areas[i].list_tagged.length);
	writeln('- Untagged Messages: '+ma.areas[i].list_untagged.length);

	ma.areas[i].tag_msgs();
}
